<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPortHandle](./bitburner.ns.getporthandle.md)

## NS.getPortHandle() method

Get all data on a port.

<b>Signature:</b>

```typescript
getPortHandle(port: number): NetscriptPort;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  port | number | Port number. Must be an integer between 1 and 20. |

<b>Returns:</b>

[NetscriptPort](./bitburner.netscriptport.md)

## Remarks

RAM cost: 0 GB

Get a handle to a Netscript Port.

WARNING: Port Handles only work in NetscriptJS (Netscript 2.0). They will not work in Netscript 1.0.

